package cn.com.qmth.stmms.ms.admin.dto;

import cn.com.qmth.stmms.ms.commons.utils.excel.ExcelProperty;
import cn.com.qmth.stmms.ms.core.domain.MarkLogOperType;

import java.util.Date;

public class MarkLogOperDTO {

    @ExcelProperty(name = "工作", index = 0, type = 1)
    private String workName;

    @ExcelProperty(name = "操作人", index = 1, type = 1)
    private String createUserName;

    @ExcelProperty(name = "角色", index = 2, type = 1)
    private String createRole;

    @ExcelProperty(name = "科目", index = 3, type = 1)
    private String subject;

    @ExcelProperty(name = "准考证号", index = 4, type = 1)
    private String examNumber;

    @ExcelProperty(name = "学生姓名", index = 5, type = 1)
    private String studentName;

    @ExcelProperty(name = "操作类型", index = 6, type = 1)
    private String operType;

    @ExcelProperty(name = "操作前数据", index = 7, type = 1)
    private String operDataBefore;

    @ExcelProperty(name = "操作后数据", index = 8, type = 1)
    private String operDataAfter;

    @ExcelProperty(name = "操作时间", index = 9, type = 1)
    private String createTime;

    public String getWorkName() {
        return workName;
    }

    public void setWorkName(String workName) {
        this.workName = workName;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getCreateRole() {
        return createRole;
    }

    public void setCreateRole(String createRole) {
        this.createRole = createRole;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getOperType() {
        return operType;
    }

    public void setOperType(Integer operType) {
        this.operType = MarkLogOperType.convertToName(operType);
    }

    public String getOperDataBefore() {
        return operDataBefore;
    }

    public void setOperDataBefore(String operDataBefore) {
        this.operDataBefore = operDataBefore;
    }

    public String getOperDataAfter() {
        return operDataAfter;
    }

    public void setOperDataAfter(String operDataAfter) {
        this.operDataAfter = operDataAfter;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
}
